package ru.yandex.qe.dispenser.domain.dao.bot.preorder;

import java.util.Collection;
import java.util.Set;

import ru.yandex.qe.dispenser.domain.dao.bot.BotPreOrder;
import ru.yandex.qe.dispenser.domain.dao.bot.SyncableBotDao;

public interface BotPreOrderDao extends SyncableBotDao<BotPreOrder> {
    Set<Long> getPreOrderIdsByBigOrderConfigIds(Set<Long> bigOrderConfigIds);

    Collection<BotPreOrder> getNotMappedPreOrderIdsByBigOrderIds(Set<Long> bigOrderIds);

    Set<Long> getAllLinkedConfigurationIds();
}
